]> CyberLeo.Net >> Repos - FreeBSD/releng/10.2.git/blob - contrib/ntp/tests/sec-2853/Makefile.in
- Copy stable/10@285827 to releng/10.2 in preparation for 10.2-RC1
[FreeBSD/releng/10.2.git] / contrib / ntp / tests / sec-2853 / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 check_PROGRAMS = sec-2853$(EXEEXT)
91 @NTP_CROSSCOMPILE_FALSE@am__append_1 = $(check_PROGRAMS)
92 subdir = tests/sec-2853
93 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94 am__aclocal_m4_deps = $(top_srcdir)/sntp/libopts/m4/libopts.m4 \
95         $(top_srcdir)/sntp/libopts/m4/stdnoreturn.m4 \
96         $(top_srcdir)/sntp/m4/ax_c99_struct_init.m4 \
97         $(top_srcdir)/sntp/m4/define_dir.m4 \
98         $(top_srcdir)/sntp/m4/hms_search_lib.m4 \
99         $(top_srcdir)/sntp/m4/libtool.m4 \
100         $(top_srcdir)/sntp/m4/ltoptions.m4 \
101         $(top_srcdir)/sntp/m4/ltsugar.m4 \
102         $(top_srcdir)/sntp/m4/ltversion.m4 \
103         $(top_srcdir)/sntp/m4/lt~obsolete.m4 \
104         $(top_srcdir)/sntp/m4/ntp_cacheversion.m4 \
105         $(top_srcdir)/sntp/m4/ntp_compiler.m4 \
106         $(top_srcdir)/sntp/m4/ntp_crosscompile.m4 \
107         $(top_srcdir)/sntp/m4/ntp_crypto_rand.m4 \
108         $(top_srcdir)/sntp/m4/ntp_debug.m4 \
109         $(top_srcdir)/sntp/m4/ntp_dir_sep.m4 \
110         $(top_srcdir)/sntp/m4/ntp_facilitynames.m4 \
111         $(top_srcdir)/sntp/m4/ntp_googletest.m4 \
112         $(top_srcdir)/sntp/m4/ntp_ipv6.m4 \
113         $(top_srcdir)/sntp/m4/ntp_lib_m.m4 \
114         $(top_srcdir)/sntp/m4/ntp_libevent.m4 \
115         $(top_srcdir)/sntp/m4/ntp_libntp.m4 \
116         $(top_srcdir)/sntp/m4/ntp_lineeditlibs.m4 \
117         $(top_srcdir)/sntp/m4/ntp_locinfo.m4 \
118         $(top_srcdir)/sntp/m4/ntp_openssl.m4 \
119         $(top_srcdir)/sntp/m4/ntp_pkg_config.m4 \
120         $(top_srcdir)/sntp/m4/ntp_prog_cc.m4 \
121         $(top_srcdir)/sntp/m4/ntp_rlimit.m4 \
122         $(top_srcdir)/sntp/m4/ntp_sntp.m4 \
123         $(top_srcdir)/sntp/m4/ntp_unitytest.m4 \
124         $(top_srcdir)/sntp/m4/ntp_ver_suffix.m4 \
125         $(top_srcdir)/sntp/m4/ntp_vpathhack.m4 \
126         $(top_srcdir)/sntp/m4/openldap-thread-check.m4 \
127         $(top_srcdir)/sntp/m4/openldap.m4 \
128         $(top_srcdir)/sntp/m4/os_cflags.m4 \
129         $(top_srcdir)/sntp/m4/snprintf.m4 \
130         $(top_srcdir)/sntp/m4/version.m4 $(top_srcdir)/configure.ac
131 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
132         $(ACLOCAL_M4)
133 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
134 mkinstalldirs = $(install_sh) -d
135 CONFIG_HEADER = $(top_builddir)/config.h
136 CONFIG_CLEAN_FILES =
137 CONFIG_CLEAN_VPATH_FILES =
138 am__objects_1 =
139 am_sec_2853_OBJECTS = run-sec-2853.$(OBJEXT) sec-2853.$(OBJEXT) \
140         $(am__objects_1)
141 sec_2853_OBJECTS = $(am_sec_2853_OBJECTS)
142 sec_2853_LDADD = $(LDADD)
143 am__DEPENDENCIES_1 =
144 sec_2853_DEPENDENCIES = $(top_builddir)/sntp/unity/libunity.a \
145         $(top_builddir)/ntpd/rc_cmdlength.o $(am__DEPENDENCIES_1) \
146         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
147         $(am__DEPENDENCIES_1)
148 AM_V_lt = $(am__v_lt_@AM_V@)
149 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
150 am__v_lt_0 = --silent
151 am__v_lt_1 = 
152 AM_V_P = $(am__v_P_@AM_V@)
153 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
154 am__v_P_0 = false
155 am__v_P_1 = :
156 AM_V_GEN = $(am__v_GEN_@AM_V@)
157 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
158 am__v_GEN_0 = @echo "  GEN     " $@;
159 am__v_GEN_1 = 
160 AM_V_at = $(am__v_at_@AM_V@)
161 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
162 am__v_at_0 = @
163 am__v_at_1 = 
164 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
165 depcomp = $(SHELL) $(top_srcdir)/sntp/libevent/build-aux/depcomp
166 am__depfiles_maybe = depfiles
167 am__mv = mv -f
168 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
169         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
170 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
171         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
172         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
173         $(AM_CFLAGS) $(CFLAGS)
174 AM_V_CC = $(am__v_CC_@AM_V@)
175 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
176 am__v_CC_0 = @echo "  CC      " $@;
177 am__v_CC_1 = 
178 CCLD = $(CC)
179 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
180         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
181         $(AM_LDFLAGS) $(LDFLAGS) -o $@
182 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
183 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
184 am__v_CCLD_0 = @echo "  CCLD    " $@;
185 am__v_CCLD_1 = 
186 SOURCES = $(sec_2853_SOURCES)
187 DIST_SOURCES = $(sec_2853_SOURCES)
188 am__can_run_installinfo = \
189   case $$AM_UPDATE_INFO_DIR in \
190     n|no|NO) false;; \
191     *) (install-info --version) >/dev/null 2>&1;; \
192   esac
193 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
194 # Read a list of newline-separated strings from the standard input,
195 # and print each of them once, without duplicates.  Input order is
196 # *not* preserved.
197 am__uniquify_input = $(AWK) '\
198   BEGIN { nonempty = 0; } \
199   { items[$$0] = 1; nonempty = 1; } \
200   END { if (nonempty) { for (i in items) print i; }; } \
201 '
202 # Make sure the list of sources is unique.  This is necessary because,
203 # e.g., the same source file might be shared among _SOURCES variables
204 # for different programs/libraries.
205 am__define_uniq_tagged_files = \
206   list='$(am__tagged_files)'; \
207   unique=`for i in $$list; do \
208     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
209   done | $(am__uniquify_input)`
210 ETAGS = etags
211 CTAGS = ctags
212 am__tty_colors_dummy = \
213   mgn= red= grn= lgn= blu= brg= std=; \
214   am__color_tests=no
215 am__tty_colors = { \
216   $(am__tty_colors_dummy); \
217   if test "X$(AM_COLOR_TESTS)" = Xno; then \
218     am__color_tests=no; \
219   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
220     am__color_tests=yes; \
221   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
222     am__color_tests=yes; \
223   fi; \
224   if test $$am__color_tests = yes; then \
225     red='\e[0;31m'; \
226     grn='\e[0;32m'; \
227     lgn='\e[1;32m'; \
228     blu='\e[1;34m'; \
229     mgn='\e[0;35m'; \
230     brg='\e[1m'; \
231     std='\e[m'; \
232   fi; \
233 }
234 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
235 am__vpath_adj = case $$p in \
236     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
237     *) f=$$p;; \
238   esac;
239 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
240 am__install_max = 40
241 am__nobase_strip_setup = \
242   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
243 am__nobase_strip = \
244   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
245 am__nobase_list = $(am__nobase_strip_setup); \
246   for p in $$list; do echo "$$p $$p"; done | \
247   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
248   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
249     if (++n[$$2] == $(am__install_max)) \
250       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
251     END { for (dir in files) print dir, files[dir] }'
252 am__base_list = \
253   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
254   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
255 am__uninstall_files_from_dir = { \
256   test -z "$$files" \
257     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
258     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
259          $(am__cd) "$$dir" && rm -f $$files; }; \
260   }
261 am__recheck_rx = ^[     ]*:recheck:[    ]*
262 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
263 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
264 # A command that, given a newline-separated list of test names on the
265 # standard input, print the name of the tests that are to be re-run
266 # upon "make recheck".
267 am__list_recheck_tests = $(AWK) '{ \
268   recheck = 1; \
269   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
270     { \
271       if (rc < 0) \
272         { \
273           if ((getline line2 < ($$0 ".log")) < 0) \
274             recheck = 0; \
275           break; \
276         } \
277       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
278         { \
279           recheck = 0; \
280           break; \
281         } \
282       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
283         { \
284           break; \
285         } \
286     }; \
287   if (recheck) \
288     print $$0; \
289   close ($$0 ".trs"); \
290   close ($$0 ".log"); \
291 }'
292 # A command that, given a newline-separated list of test names on the
293 # standard input, create the global log from their .trs and .log files.
294 am__create_global_log = $(AWK) ' \
295 function fatal(msg) \
296 { \
297   print "fatal: making $@: " msg | "cat >&2"; \
298   exit 1; \
299 } \
300 function rst_section(header) \
301 { \
302   print header; \
303   len = length(header); \
304   for (i = 1; i <= len; i = i + 1) \
305     printf "="; \
306   printf "\n\n"; \
307 } \
308 { \
309   copy_in_global_log = 1; \
310   global_test_result = "RUN"; \
311   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
312     { \
313       if (rc < 0) \
314          fatal("failed to read from " $$0 ".trs"); \
315       if (line ~ /$(am__global_test_result_rx)/) \
316         { \
317           sub("$(am__global_test_result_rx)", "", line); \
318           sub("[        ]*$$", "", line); \
319           global_test_result = line; \
320         } \
321       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
322         copy_in_global_log = 0; \
323     }; \
324   if (copy_in_global_log) \
325     { \
326       rst_section(global_test_result ": " $$0); \
327       while ((rc = (getline line < ($$0 ".log"))) != 0) \
328       { \
329         if (rc < 0) \
330           fatal("failed to read from " $$0 ".log"); \
331         print line; \
332       }; \
333       printf "\n"; \
334     }; \
335   close ($$0 ".trs"); \
336   close ($$0 ".log"); \
337 }'
338 # Restructured Text title.
339 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
340 # Solaris 10 'make', and several other traditional 'make' implementations,
341 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
342 # by disabling -e (using the XSI extension "set +e") if it's set.
343 am__sh_e_setup = case $$- in *e*) set +e;; esac
344 # Default flags passed to test drivers.
345 am__common_driver_flags = \
346   --color-tests "$$am__color_tests" \
347   --enable-hard-errors "$$am__enable_hard_errors" \
348   --expect-failure "$$am__expect_failure"
349 # To be inserted before the command running the test.  Creates the
350 # directory for the log if needed.  Stores in $dir the directory
351 # containing $f, in $tst the test, in $log the log.  Executes the
352 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
353 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
354 # will run the test scripts (or their associated LOG_COMPILER, if
355 # thy have one).
356 am__check_pre = \
357 $(am__sh_e_setup);                                      \
358 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
359 $(am__tty_colors);                                      \
360 srcdir=$(srcdir); export srcdir;                        \
361 case "$@" in                                            \
362   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
363     *) am__odir=.;;                                     \
364 esac;                                                   \
365 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
366   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
367 if test -f "./$$f"; then dir=./;                        \
368 elif test -f "$$f"; then dir=;                          \
369 else dir="$(srcdir)/"; fi;                              \
370 tst=$$dir$$f; log='$@';                                 \
371 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
372   am__enable_hard_errors=no;                            \
373 else                                                    \
374   am__enable_hard_errors=yes;                           \
375 fi;                                                     \
376 case " $(XFAIL_TESTS) " in                              \
377   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
378     am__expect_failure=yes;;                            \
379   *)                                                    \
380     am__expect_failure=no;;                             \
381 esac;                                                   \
382 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
383 # A shell command to get the names of the tests scripts with any registered
384 # extension removed (i.e., equivalently, the names of the test logs, with
385 # the '.log' extension removed).  The result is saved in the shell variable
386 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
387 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
388 # since that might cause problem with VPATH rewrites for suffix-less tests.
389 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
390 am__set_TESTS_bases = \
391   bases='$(TEST_LOGS)'; \
392   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
393   bases=`echo $$bases`
394 RECHECK_LOGS = $(TEST_LOGS)
395 AM_RECURSIVE_TARGETS = check recheck
396 TEST_SUITE_LOG = test-suite.log
397 TEST_EXTENSIONS = @EXEEXT@ .test
398 LOG_DRIVER = $(SHELL) \
399         $(top_srcdir)/sntp/libevent/build-aux/test-driver
400 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
401 am__set_b = \
402   case '$@' in \
403     */*) \
404       case '$*' in \
405         */*) b='$*';; \
406           *) b=`echo '$@' | sed 's/\.log$$//'`; \
407        esac;; \
408     *) \
409       b='$*';; \
410   esac
411 am__test_logs1 = $(TESTS:=.log)
412 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
413 TEST_LOGS = $(am__test_logs2:.test.log=.log)
414 TEST_LOG_DRIVER = $(SHELL) \
415         $(top_srcdir)/sntp/libevent/build-aux/test-driver
416 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
417         $(TEST_LOG_FLAGS)
418 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depsver.mf \
419         $(top_srcdir)/includes.mf \
420         $(top_srcdir)/sntp/libevent/build-aux/depcomp \
421         $(top_srcdir)/sntp/libevent/build-aux/test-driver
422 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
423 ACLOCAL = @ACLOCAL@
424 ALLOCA = @ALLOCA@
425 AMTAR = @AMTAR@
426 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
427 AR = @AR@
428 AUTOCONF = @AUTOCONF@
429 AUTOHEADER = @AUTOHEADER@
430 AUTOMAKE = @AUTOMAKE@
431 AWK = @AWK@
432 CALC_TICKADJ_DB = @CALC_TICKADJ_DB@
433 CALC_TICKADJ_DL = @CALC_TICKADJ_DL@
434 CALC_TICKADJ_DS = @CALC_TICKADJ_DS@
435 CALC_TICKADJ_MS = @CALC_TICKADJ_MS@
436 CALC_TICKADJ_NI = @CALC_TICKADJ_NI@
437 CC = @CC@
438 CCDEPMODE = @CCDEPMODE@
439 CFLAGS = @CFLAGS@
440 CFLAGS_NTP = @CFLAGS_NTP@
441 CHUTEST = @CHUTEST@
442 CONFIG_SHELL = @CONFIG_SHELL@
443 CPP = @CPP@
444 CPPFLAGS = @CPPFLAGS@
445 CPPFLAGS_LIBEVENT = @CPPFLAGS_LIBEVENT@
446 CPPFLAGS_NTP = @CPPFLAGS_NTP@
447 CXX = @CXX@
448 CXXCPP = @CXXCPP@
449 CXXDEPMODE = @CXXDEPMODE@
450 CXXFLAGS = @CXXFLAGS@
451 CYGPATH_W = @CYGPATH_W@
452 DCFD = @DCFD@
453 DEFS = @DEFS@
454 DEPDIR = @DEPDIR@
455 DLLTOOL = @DLLTOOL@
456 DSYMUTIL = @DSYMUTIL@
457 DUMPBIN = @DUMPBIN@
458 ECHO_C = @ECHO_C@
459 ECHO_N = @ECHO_N@
460 ECHO_T = @ECHO_T@
461 EDITLINE_LIBS = @EDITLINE_LIBS@
462 EGREP = @EGREP@
463 EXEEXT = @EXEEXT@
464 FGREP = @FGREP@
465 GREP = @GREP@
466 GTEST_CONFIG = @GTEST_CONFIG@
467 GTEST_CPPFLAGS = @GTEST_CPPFLAGS@
468 GTEST_CXXFLAGS = @GTEST_CXXFLAGS@
469 GTEST_LDFLAGS = @GTEST_LDFLAGS@
470 GTEST_LIBS = @GTEST_LIBS@
471 HAVE_INLINE = @HAVE_INLINE@
472 HAVE_LEAPSMEARINTERVAL = @HAVE_LEAPSMEARINTERVAL@
473 HAVE_RLIMIT_MEMLOCK = @HAVE_RLIMIT_MEMLOCK@
474 HAVE_RLIMIT_STACK = @HAVE_RLIMIT_STACK@
475 INSTALL = @INSTALL@
476 INSTALL_DATA = @INSTALL_DATA@
477 INSTALL_PROGRAM = @INSTALL_PROGRAM@
478 INSTALL_SCRIPT = @INSTALL_SCRIPT@
479 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
480 LD = @LD@
481 LDADD_LIBEVENT = @LDADD_LIBEVENT@
482 LDADD_LIBNTP = @LDADD_LIBNTP@
483 LDADD_LIBUTIL = @LDADD_LIBUTIL@
484 LDADD_NLIST = @LDADD_NLIST@
485 LDADD_NTP = @LDADD_NTP@
486 LDFLAGS = @LDFLAGS@
487 LDFLAGS_NTP = @LDFLAGS_NTP@
488 LIBISC_PTHREADS_NOTHREADS = @LIBISC_PTHREADS_NOTHREADS@
489 LIBM = @LIBM@
490 LIBOBJS = @LIBOBJS@
491 LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
492 LIBOPTS_DIR = @LIBOPTS_DIR@
493 LIBOPTS_LDADD = @LIBOPTS_LDADD@
494 LIBPARSE = @LIBPARSE@
495 LIBS = @LIBS@
496 LIBTOOL = @LIBTOOL@
497 LIBTOOL_DEPS = @LIBTOOL_DEPS@
498 LIPO = @LIPO@
499 LN_S = @LN_S@
500 LSCF = @LSCF@
501 LTLIBOBJS = @LTLIBOBJS@
502 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
503 MAKEINFO = @MAKEINFO@
504 MAKE_ADJTIMED = @MAKE_ADJTIMED@
505 MAKE_CHECK_LAYOUT = @MAKE_CHECK_LAYOUT@
506 MAKE_CHECK_Y2K = @MAKE_CHECK_Y2K@
507 MAKE_LIBNTPSIM = @MAKE_LIBNTPSIM@
508 MAKE_LIBPARSE = @MAKE_LIBPARSE@
509 MAKE_LIBPARSE_KERNEL = @MAKE_LIBPARSE_KERNEL@
510 MAKE_NTPDSIM = @MAKE_NTPDSIM@
511 MAKE_NTPSNMPD = @MAKE_NTPSNMPD@
512 MAKE_NTPTIME = @MAKE_NTPTIME@
513 MAKE_PARSEKMODULE = @MAKE_PARSEKMODULE@
514 MAKE_TICKADJ = @MAKE_TICKADJ@
515 MAKE_TIMETRIM = @MAKE_TIMETRIM@
516 MANIFEST_TOOL = @MANIFEST_TOOL@
517 MANTAGFMT = @MANTAGFMT@
518 MKDIR_P = @MKDIR_P@
519 NM = @NM@
520 NMEDIT = @NMEDIT@
521 NTPDATE_DB = @NTPDATE_DB@
522 NTPDATE_DL = @NTPDATE_DL@
523 NTPDATE_DS = @NTPDATE_DS@
524 NTPDATE_MS = @NTPDATE_MS@
525 NTPDATE_NI = @NTPDATE_NI@
526 NTPDC_DB = @NTPDC_DB@
527 NTPDC_DL = @NTPDC_DL@
528 NTPDC_DS = @NTPDC_DS@
529 NTPDC_MS = @NTPDC_MS@
530 NTPDC_NI = @NTPDC_NI@
531 NTPDSIM_DB = @NTPDSIM_DB@
532 NTPDSIM_DL = @NTPDSIM_DL@
533 NTPDSIM_DS = @NTPDSIM_DS@
534 NTPDSIM_MS = @NTPDSIM_MS@
535 NTPDSIM_NI = @NTPDSIM_NI@
536 NTPD_DB = @NTPD_DB@
537 NTPD_DL = @NTPD_DL@
538 NTPD_DS = @NTPD_DS@
539 NTPD_MS = @NTPD_MS@
540 NTPD_NI = @NTPD_NI@
541 NTPQ_DB = @NTPQ_DB@
542 NTPQ_DL = @NTPQ_DL@
543 NTPQ_DS = @NTPQ_DS@
544 NTPQ_MS = @NTPQ_MS@
545 NTPQ_NI = @NTPQ_NI@
546 NTPSNMPD_DB = @NTPSNMPD_DB@
547 NTPSNMPD_DL = @NTPSNMPD_DL@
548 NTPSNMPD_DS = @NTPSNMPD_DS@
549 NTPSNMPD_MS = @NTPSNMPD_MS@
550 NTPSNMPD_NI = @NTPSNMPD_NI@
551 NTPSWEEP_DB = @NTPSWEEP_DB@
552 NTPSWEEP_DL = @NTPSWEEP_DL@
553 NTPSWEEP_DS = @NTPSWEEP_DS@
554 NTPSWEEP_MS = @NTPSWEEP_MS@
555 NTPSWEEP_NI = @NTPSWEEP_NI@
556 NTPTIME_DB = @NTPTIME_DB@
557 NTPTIME_DL = @NTPTIME_DL@
558 NTPTIME_DS = @NTPTIME_DS@
559 NTPTIME_MS = @NTPTIME_MS@
560 NTPTIME_NI = @NTPTIME_NI@
561 NTPTRACE_DB = @NTPTRACE_DB@
562 NTPTRACE_DL = @NTPTRACE_DL@
563 NTPTRACE_DS = @NTPTRACE_DS@
564 NTPTRACE_MS = @NTPTRACE_MS@
565 NTPTRACE_NI = @NTPTRACE_NI@
566 NTP_KEYGEN_DB = @NTP_KEYGEN_DB@
567 NTP_KEYGEN_DL = @NTP_KEYGEN_DL@
568 NTP_KEYGEN_DS = @NTP_KEYGEN_DS@
569 NTP_KEYGEN_MS = @NTP_KEYGEN_MS@
570 NTP_KEYGEN_NI = @NTP_KEYGEN_NI@
571 NTP_KEYSDIR = @NTP_KEYSDIR@
572 NTP_WAIT_DB = @NTP_WAIT_DB@
573 NTP_WAIT_DL = @NTP_WAIT_DL@
574 NTP_WAIT_DS = @NTP_WAIT_DS@
575 NTP_WAIT_MS = @NTP_WAIT_MS@
576 NTP_WAIT_NI = @NTP_WAIT_NI@
577 OBJDUMP = @OBJDUMP@
578 OBJEXT = @OBJEXT@
579 OTOOL = @OTOOL@
580 OTOOL64 = @OTOOL64@
581 PACKAGE = @PACKAGE@
582 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
583 PACKAGE_NAME = @PACKAGE_NAME@
584 PACKAGE_STRING = @PACKAGE_STRING@
585 PACKAGE_TARNAME = @PACKAGE_TARNAME@
586 PACKAGE_URL = @PACKAGE_URL@
587 PACKAGE_VERSION = @PACKAGE_VERSION@
588 PATH_NET_SNMP_CONFIG = @PATH_NET_SNMP_CONFIG@
589 PATH_PERL = @PATH_PERL@
590 PATH_RUBY = @PATH_RUBY@
591 PATH_SEPARATOR = @PATH_SEPARATOR@
592 PATH_TEST = @PATH_TEST@
593 PERLLIBDIR = @PERLLIBDIR@
594 PKG_CONFIG = @PKG_CONFIG@
595 POSIX_SHELL = @POSIX_SHELL@
596 PROPDELAY = @PROPDELAY@
597 PTHREAD_LIBS = @PTHREAD_LIBS@
598 RANLIB = @RANLIB@
599 SED = @SED@
600 SET_MAKE = @SET_MAKE@
601 SHELL = @SHELL@
602 SNMP_CFLAGS = @SNMP_CFLAGS@
603 SNMP_CPPFLAGS = @SNMP_CPPFLAGS@
604 SNMP_LIBS = @SNMP_LIBS@
605 SNTP = @SNTP@
606 SNTP_DB = @SNTP_DB@
607 SNTP_DL = @SNTP_DL@
608 SNTP_DS = @SNTP_DS@
609 SNTP_MS = @SNTP_MS@
610 SNTP_NI = @SNTP_NI@
611 STDNORETURN_H = @STDNORETURN_H@
612 STRIP = @STRIP@
613 TESTDCF = @TESTDCF@
614 TICKADJ_DB = @TICKADJ_DB@
615 TICKADJ_DL = @TICKADJ_DL@
616 TICKADJ_DS = @TICKADJ_DS@
617 TICKADJ_MS = @TICKADJ_MS@
618 TICKADJ_NI = @TICKADJ_NI@
619 TIMETRIM_DB = @TIMETRIM_DB@
620 TIMETRIM_DL = @TIMETRIM_DL@
621 TIMETRIM_DS = @TIMETRIM_DS@
622 TIMETRIM_MS = @TIMETRIM_MS@
623 TIMETRIM_NI = @TIMETRIM_NI@
624 UPDATE_LEAP_DB = @UPDATE_LEAP_DB@
625 UPDATE_LEAP_DL = @UPDATE_LEAP_DL@
626 UPDATE_LEAP_DS = @UPDATE_LEAP_DS@
627 UPDATE_LEAP_MS = @UPDATE_LEAP_MS@
628 UPDATE_LEAP_NI = @UPDATE_LEAP_NI@
629 VERSION = @VERSION@
630 VER_SUFFIX = @VER_SUFFIX@
631 YACC = @YACC@
632 YFLAGS = @YFLAGS@
633 abs_builddir = @abs_builddir@
634 abs_srcdir = @abs_srcdir@
635 abs_top_builddir = @abs_top_builddir@
636 abs_top_srcdir = @abs_top_srcdir@
637 ac_ct_AR = @ac_ct_AR@
638 ac_ct_CC = @ac_ct_CC@
639 ac_ct_CXX = @ac_ct_CXX@
640 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
641 am__include = @am__include@
642 am__leading_dot = @am__leading_dot@
643 am__quote = @am__quote@
644 am__tar = @am__tar@
645 am__untar = @am__untar@
646 bindir = @bindir@
647 build = @build@
648 build_alias = @build_alias@
649 build_cpu = @build_cpu@
650 build_os = @build_os@
651 build_vendor = @build_vendor@
652 builddir = @builddir@
653 datadir = @datadir@
654 datarootdir = @datarootdir@
655 docdir = @docdir@
656 dvidir = @dvidir@
657 exec_prefix = @exec_prefix@
658 host = @host@
659 host_alias = @host_alias@
660 host_cpu = @host_cpu@
661 host_os = @host_os@
662 host_vendor = @host_vendor@
663 htmldir = @htmldir@
664 includedir = @includedir@
665 infodir = @infodir@
666 install_sh = @install_sh@
667 libdir = @libdir@
668 libexecdir = @libexecdir@
669 localedir = @localedir@
670 localstatedir = @localstatedir@
671 mandir = @mandir@
672 mkdir_p = @mkdir_p@
673 oldincludedir = @oldincludedir@
674 pdfdir = @pdfdir@
675 prefix = @prefix@
676 program_transform_name = @program_transform_name@
677 psdir = @psdir@
678 sbindir = @sbindir@
679 sharedstatedir = @sharedstatedir@
680 srcdir = @srcdir@
681 subdirs = @subdirs@
682 sysconfdir = @sysconfdir@
683 target_alias = @target_alias@
684 top_build_prefix = @top_build_prefix@
685 top_builddir = @top_builddir@
686 top_srcdir = @top_srcdir@
687
688 #AUTOMAKE_OPTIONS = foreign 1.9 subdir-objects
689 NULL = 
690 BUILT_SOURCES = $(srcdir)/run-sec-2853.c check-libntp check-libunity \
691         check-rc-cmdlength .deps-ver
692 CLEANFILES = check-libntp check-libunity check-rc-cmdlength .deps-ver
693 std_unity_list = \
694         $(top_srcdir)/sntp/unity/auto/generate_test_runner.rb   \
695         $(NULL)
696
697 run_unity = cd $(srcdir) && ruby ../../sntp/unity/auto/generate_test_runner.rb
698
699 # HMS: we may not need some of these:
700 LDADD = \
701         $(top_builddir)/sntp/unity/libunity.a   \
702         $(top_builddir)/ntpd/rc_cmdlength.o     \
703         $(LDADD_LIBNTP)                 \
704         $(PTHREAD_LIBS)                 \
705         $(LDADD_NTP)                    \
706         $(NULL)
707
708 AM_CFLAGS = $(CFLAGS_NTP)
709
710 # HMS: we may not need some of these:
711 AM_CPPFLAGS = $(NTP_INCS) -I$(top_srcdir)/sntp/unity \
712         -I$(top_srcdir)/include $(CPPFLAGS_NTP)
713 AM_LDFLAGS = $(LDFLAGS_NTP)
714 sec_2853_SOURCES = \
715         run-sec-2853.c                  \
716         sec-2853.c                      \
717         $(NULL)
718
719
720 # HMS: we may not need some of these:
721 #noinst_HEADERS =       ntpdtest.h      \
722 #                       $(NULL)
723 TESTS = $(am__append_1)
724 NTP_INCS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/isc/include \
725         -I$(top_srcdir)/lib/isc/$(LIBISC_PTHREADS_NOTHREADS)/include \
726         -I$(top_srcdir)/lib/isc/unix/include
727 all: $(BUILT_SOURCES)
728         $(MAKE) $(AM_MAKEFLAGS) all-am
729
730 .SUFFIXES:
731 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
732 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__configure_deps)
733         @for dep in $?; do \
734           case '$(am__configure_deps)' in \
735             *$$dep*) \
736               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
737                 && { if test -f $@; then exit 0; else break; fi; }; \
738               exit 1;; \
739           esac; \
740         done; \
741         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/sec-2853/Makefile'; \
742         $(am__cd) $(top_srcdir) && \
743           $(AUTOMAKE) --foreign tests/sec-2853/Makefile
744 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
745         @case '$?' in \
746           *config.status*) \
747             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
748           *) \
749             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
750             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
751         esac;
752 $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__empty):
753
754 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
755         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
756
757 $(top_srcdir)/configure:  $(am__configure_deps)
758         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
759 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
760         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
761 $(am__aclocal_m4_deps):
762
763 clean-checkPROGRAMS:
764         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
765         echo " rm -f" $$list; \
766         rm -f $$list || exit $$?; \
767         test -n "$(EXEEXT)" || exit 0; \
768         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
769         echo " rm -f" $$list; \
770         rm -f $$list
771
772 sec-2853$(EXEEXT): $(sec_2853_OBJECTS) $(sec_2853_DEPENDENCIES) $(EXTRA_sec_2853_DEPENDENCIES) 
773         @rm -f sec-2853$(EXEEXT)
774         $(AM_V_CCLD)$(LINK) $(sec_2853_OBJECTS) $(sec_2853_LDADD) $(LIBS)
775
776 mostlyclean-compile:
777         -rm -f *.$(OBJEXT)
778
779 distclean-compile:
780         -rm -f *.tab.c
781
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-sec-2853.Po@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sec-2853.Po@am__quote@
784
785 .c.o:
786 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
787 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
791
792 .c.obj:
793 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
794 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799 .c.lo:
800 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
801 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
805
806 mostlyclean-libtool:
807         -rm -f *.lo
808
809 clean-libtool:
810         -rm -rf .libs _libs
811
812 ID: $(am__tagged_files)
813         $(am__define_uniq_tagged_files); mkid -fID $$unique
814 tags: tags-am
815 TAGS: tags
816
817 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
818         set x; \
819         here=`pwd`; \
820         $(am__define_uniq_tagged_files); \
821         shift; \
822         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
823           test -n "$$unique" || unique=$$empty_fix; \
824           if test $$# -gt 0; then \
825             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
826               "$$@" $$unique; \
827           else \
828             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
829               $$unique; \
830           fi; \
831         fi
832 ctags: ctags-am
833
834 CTAGS: ctags
835 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
836         $(am__define_uniq_tagged_files); \
837         test -z "$(CTAGS_ARGS)$$unique" \
838           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
839              $$unique
840
841 GTAGS:
842         here=`$(am__cd) $(top_builddir) && pwd` \
843           && $(am__cd) $(top_srcdir) \
844           && gtags -i $(GTAGS_ARGS) "$$here"
845 cscopelist: cscopelist-am
846
847 cscopelist-am: $(am__tagged_files)
848         list='$(am__tagged_files)'; \
849         case "$(srcdir)" in \
850           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
851           *) sdir=$(subdir)/$(srcdir) ;; \
852         esac; \
853         for i in $$list; do \
854           if test -f "$$i"; then \
855             echo "$(subdir)/$$i"; \
856           else \
857             echo "$$sdir/$$i"; \
858           fi; \
859         done >> $(top_builddir)/cscope.files
860
861 distclean-tags:
862         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
863
864 # Recover from deleted '.trs' file; this should ensure that
865 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
866 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
867 # to avoid problems with "make -n".
868 .log.trs:
869         rm -f $< $@
870         $(MAKE) $(AM_MAKEFLAGS) $<
871
872 # Leading 'am--fnord' is there to ensure the list of targets does not
873 # expand to empty, as could happen e.g. with make check TESTS=''.
874 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
875 am--force-recheck:
876         @:
877
878 $(TEST_SUITE_LOG): $(TEST_LOGS)
879         @$(am__set_TESTS_bases); \
880         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
881         redo_bases=`for i in $$bases; do \
882                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
883                     done`; \
884         if test -n "$$redo_bases"; then \
885           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
886           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
887           if $(am__make_dryrun); then :; else \
888             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
889           fi; \
890         fi; \
891         if test -n "$$am__remaking_logs"; then \
892           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
893                "recursion detected" >&2; \
894         elif test -n "$$redo_logs"; then \
895           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
896         fi; \
897         if $(am__make_dryrun); then :; else \
898           st=0;  \
899           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
900           for i in $$redo_bases; do \
901             test -f $$i.trs && test -r $$i.trs \
902               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
903             test -f $$i.log && test -r $$i.log \
904               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
905           done; \
906           test $$st -eq 0 || exit 1; \
907         fi
908         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
909         ws='[   ]'; \
910         results=`for b in $$bases; do echo $$b.trs; done`; \
911         test -n "$$results" || results=/dev/null; \
912         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
913         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
914         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
915         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
916         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
917         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
918         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
919         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
920           success=true; \
921         else \
922           success=false; \
923         fi; \
924         br='==================='; br=$$br$$br$$br$$br; \
925         result_count () \
926         { \
927             if test x"$$1" = x"--maybe-color"; then \
928               maybe_colorize=yes; \
929             elif test x"$$1" = x"--no-color"; then \
930               maybe_colorize=no; \
931             else \
932               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
933             fi; \
934             shift; \
935             desc=$$1 count=$$2; \
936             if test $$maybe_colorize = yes && test $$count -gt 0; then \
937               color_start=$$3 color_end=$$std; \
938             else \
939               color_start= color_end=; \
940             fi; \
941             echo "$${color_start}# $$desc $$count$${color_end}"; \
942         }; \
943         create_testsuite_report () \
944         { \
945           result_count $$1 "TOTAL:" $$all   "$$brg"; \
946           result_count $$1 "PASS: " $$pass  "$$grn"; \
947           result_count $$1 "SKIP: " $$skip  "$$blu"; \
948           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
949           result_count $$1 "FAIL: " $$fail  "$$red"; \
950           result_count $$1 "XPASS:" $$xpass "$$red"; \
951           result_count $$1 "ERROR:" $$error "$$mgn"; \
952         }; \
953         {                                                               \
954           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
955             $(am__rst_title);                                           \
956           create_testsuite_report --no-color;                           \
957           echo;                                                         \
958           echo ".. contents:: :depth: 2";                               \
959           echo;                                                         \
960           for b in $$bases; do echo $$b; done                           \
961             | $(am__create_global_log);                                 \
962         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
963         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
964         if $$success; then                                              \
965           col="$$grn";                                                  \
966          else                                                           \
967           col="$$red";                                                  \
968           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
969         fi;                                                             \
970         echo "$${col}$$br$${std}";                                      \
971         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
972         echo "$${col}$$br$${std}";                                      \
973         create_testsuite_report --maybe-color;                          \
974         echo "$$col$$br$$std";                                          \
975         if $$success; then :; else                                      \
976           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
977           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
978             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
979           fi;                                                           \
980           echo "$$col$$br$$std";                                        \
981         fi;                                                             \
982         $$success || exit 1
983
984 check-TESTS:
985         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
986         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
987         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
988         @set +e; $(am__set_TESTS_bases); \
989         log_list=`for i in $$bases; do echo $$i.log; done`; \
990         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
991         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
992         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
993         exit $$?;
994 recheck: all $(check_PROGRAMS)
995         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
996         @set +e; $(am__set_TESTS_bases); \
997         bases=`for i in $$bases; do echo $$i; done \
998                  | $(am__list_recheck_tests)` || exit 1; \
999         log_list=`for i in $$bases; do echo $$i.log; done`; \
1000         log_list=`echo $$log_list`; \
1001         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1002                 am__force_recheck=am--force-recheck \
1003                 TEST_LOGS="$$log_list"; \
1004         exit $$?
1005 sec-2853.log: sec-2853$(EXEEXT)
1006         @p='sec-2853$(EXEEXT)'; \
1007         b='sec-2853'; \
1008         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1009         --log-file $$b.log --trs-file $$b.trs \
1010         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1011         "$$tst" $(AM_TESTS_FD_REDIRECT)
1012 .test.log:
1013         @p='$<'; \
1014         $(am__set_b); \
1015         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1016         --log-file $$b.log --trs-file $$b.trs \
1017         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1018         "$$tst" $(AM_TESTS_FD_REDIRECT)
1019 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1020 @am__EXEEXT_TRUE@       @p='$<'; \
1021 @am__EXEEXT_TRUE@       $(am__set_b); \
1022 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1023 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1024 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1025 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1026
1027 distdir: $(DISTFILES)
1028         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1029         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1030         list='$(DISTFILES)'; \
1031           dist_files=`for file in $$list; do echo $$file; done | \
1032           sed -e "s|^$$srcdirstrip/||;t" \
1033               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1034         case $$dist_files in \
1035           */*) $(MKDIR_P) `echo "$$dist_files" | \
1036                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1037                            sort -u` ;; \
1038         esac; \
1039         for file in $$dist_files; do \
1040           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1041           if test -d $$d/$$file; then \
1042             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1043             if test -d "$(distdir)/$$file"; then \
1044               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1045             fi; \
1046             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1047               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1048               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049             fi; \
1050             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1051           else \
1052             test -f "$(distdir)/$$file" \
1053             || cp -p $$d/$$file "$(distdir)/$$file" \
1054             || exit 1; \
1055           fi; \
1056         done
1057 check-am: all-am
1058         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1059         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1060 check: $(BUILT_SOURCES)
1061         $(MAKE) $(AM_MAKEFLAGS) check-am
1062 all-am: Makefile
1063 installdirs:
1064 install: $(BUILT_SOURCES)
1065         $(MAKE) $(AM_MAKEFLAGS) install-am
1066 install-exec: install-exec-am
1067 install-data: install-data-am
1068 uninstall: uninstall-am
1069
1070 install-am: all-am
1071         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1072
1073 installcheck: installcheck-am
1074 install-strip:
1075         if test -z '$(STRIP)'; then \
1076           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1077             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1078               install; \
1079         else \
1080           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1083         fi
1084 mostlyclean-generic:
1085         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1086         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1087         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1088
1089 clean-generic:
1090         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1091
1092 distclean-generic:
1093         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1094         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1095
1096 maintainer-clean-generic:
1097         @echo "This command is intended for maintainers to use"
1098         @echo "it deletes files that may require special tools to rebuild."
1099         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1100 clean: clean-am
1101
1102 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1103         mostlyclean-am
1104
1105 distclean: distclean-am
1106         -rm -rf ./$(DEPDIR)
1107         -rm -f Makefile
1108 distclean-am: clean-am distclean-compile distclean-generic \
1109         distclean-tags
1110
1111 dvi: dvi-am
1112
1113 dvi-am:
1114
1115 html: html-am
1116
1117 html-am:
1118
1119 info: info-am
1120
1121 info-am:
1122
1123 install-data-am:
1124
1125 install-dvi: install-dvi-am
1126
1127 install-dvi-am:
1128
1129 install-exec-am:
1130
1131 install-html: install-html-am
1132
1133 install-html-am:
1134
1135 install-info: install-info-am
1136
1137 install-info-am:
1138
1139 install-man:
1140
1141 install-pdf: install-pdf-am
1142
1143 install-pdf-am:
1144
1145 install-ps: install-ps-am
1146
1147 install-ps-am:
1148
1149 installcheck-am:
1150
1151 maintainer-clean: maintainer-clean-am
1152         -rm -rf ./$(DEPDIR)
1153         -rm -f Makefile
1154 maintainer-clean-am: distclean-am maintainer-clean-generic
1155
1156 mostlyclean: mostlyclean-am
1157
1158 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1159         mostlyclean-libtool
1160
1161 pdf: pdf-am
1162
1163 pdf-am:
1164
1165 ps: ps-am
1166
1167 ps-am:
1168
1169 uninstall-am:
1170
1171 .MAKE: all check check-am install install-am install-strip
1172
1173 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1174         clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1175         ctags ctags-am distclean distclean-compile distclean-generic \
1176         distclean-libtool distclean-tags distdir dvi dvi-am html \
1177         html-am info info-am install install-am install-data \
1178         install-data-am install-dvi install-dvi-am install-exec \
1179         install-exec-am install-html install-html-am install-info \
1180         install-info-am install-man install-pdf install-pdf-am \
1181         install-ps install-ps-am install-strip installcheck \
1182         installcheck-am installdirs maintainer-clean \
1183         maintainer-clean-generic mostlyclean mostlyclean-compile \
1184         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1185         recheck tags tags-am uninstall uninstall-am
1186
1187 .PRECIOUS: Makefile
1188
1189
1190 $(srcdir)/run-sec-2853.c: $(srcdir)/sec-2853.c $(std_unity_list)
1191         $(run_unity) sec-2853.c run-sec-2853.c
1192
1193 check-libntp: ../../libntp/libntp.a
1194         @echo stamp > $@
1195
1196 ../../libntp/libntp.a:
1197         cd ../../libntp && $(MAKE) $(AM_MAKEFLAGS) libntp.a
1198
1199 check-libunity: ../../sntp/unity/libunity.a
1200         @echo stamp > $@
1201
1202 ../../sntp/unity/libunity.a:
1203         cd ../../libunity && $(MAKE) $(AM_MAKEFLAGS) libunity.a
1204
1205 check-rc-cmdlength: ../../ntpd/rc_cmdlength.o
1206         @echo stamp > $@
1207
1208 ../../ntpd/rc_cmdlength.o:
1209         cd ../../ntpd && $(MAKE) $(AM_MAKEFLAGS) rc_cmdlength.o
1210 $(DEPDIR)/deps-ver: $(top_srcdir)/deps-ver
1211         @[ -f $@ ] ||                                                   \
1212                 cp $(top_srcdir)/deps-ver $@
1213         @[ -w $@ ] ||                                                   \
1214                 chmod ug+w $@
1215         @cmp $(top_srcdir)/deps-ver $@ > /dev/null || (                 \
1216                 $(MAKE) $(AM_MAKEFLAGS) clean &&                                        \
1217                 echo -n "Prior $(subdir)/$(DEPDIR) version " &&         \
1218                 cat $@ &&                                               \
1219                 rm -rf $(DEPDIR) &&                                     \
1220                 mkdir $(DEPDIR) &&                                      \
1221                 case "$(top_builddir)" in                               \
1222                  .)                                                     \
1223                     ./config.status Makefile depfiles                   \
1224                     ;;                                                  \
1225                  *)                                                     \
1226                     cd "$(top_builddir)" &&                             \
1227                     ./config.status $(subdir)/Makefile depfiles &&      \
1228                     cd $(subdir)                                        \
1229                     ;;                                                  \
1230                 esac &&                                                 \
1231                 echo -n "Cleaned $(subdir)/$(DEPDIR) version " &&       \
1232                 cat $(top_srcdir)/deps-ver                              \
1233         )
1234         cp $(top_srcdir)/deps-ver $@
1235
1236 .deps-ver: $(top_srcdir)/deps-ver
1237         @[ ! -d $(DEPDIR) ] || $(MAKE) $(AM_MAKEFLAGS) $(DEPDIR)/deps-ver
1238         @touch $@
1239
1240 #
1241 # depsver.mf    included in Makefile.am for directories with .deps
1242 #
1243 # When building in the same directory with sources that change over
1244 # time, such as when tracking using bk, the .deps files can become
1245 # stale with respect to moved, deleted, or superceded headers.  Most
1246 # commonly, this would exhibit as make reporting a failure to make a
1247 # header file which is no longer in the location given.  To address
1248 # this issue, we use a deps-ver file which is updated with each change
1249 # that breaks old .deps files.  A copy of deps-ver is made into
1250 # $(DEPDIR) if not already present.  If $(DEPDIR)/deps-ver is present
1251 # with different contents than deps-ver, we make clean to ensure all
1252 # .o files built before the incompatible change are rebuilt along with
1253 # their updated .deps files, then remove $(DEPDIR) and recreate it as
1254 # empty stubs.
1255 #
1256 # It is normal when configured with --disable-dependency-tracking for
1257 # the DEPDIR to not have been created.  For this reason, we use the
1258 # intermediate target .deps-ver, which invokes make recursively if
1259 # DEPDIR exists.
1260 #
1261 # If you modify depsver.mf, please make the changes to the master
1262 # copy, the one in sntp is copied by the bootstrap script from it.
1263 #
1264 # This comment block follows rather than leads the related code so that
1265 # it stays with it in the generated Makefile.in and Makefile.
1266 #
1267
1268 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1269 # Otherwise a system limit (for SysV at least) may be exceeded.
1270 .NOEXPORT: